ResourceTransform (Grails 6.0.0)

Package: org.grails.plugins.web.rest.transform

## [Groovy] Class ResourceTransform

- org.grails.plugins.web.rest.transform.ResourceTransform

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation, groovy.transform.CompilationUnitAware

      @groovy.transform.CompileStatic
      @org.codehaus.groovy.transform.GroovyASTTransformation(phase: CompilePhase.CANONICALIZATION)
      class ResourceTransform
      extends java.lang.Object
      implements org.codehaus.groovy.transform.ASTTransformation, groovy.transform.CompilationUnitAware

  The Resource transform automatically exposes a domain class as a RESTful resource. In effect the transform adds a controller to a Grails application that performs CRUD operations on the domain. See the Resource annotation for more details

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARGUMENT_STATUS` |
    `static java.lang.String` | `ATTR_NAMESPACE` |
    `static java.lang.String` | `ATTR_READY_ONLY` |
    `static java.lang.String` | `ATTR_RESPONSE_FORMATS` |
    `static java.lang.String` | `ATTR_SUPER_CLASS` |
    `static java.lang.String` | `ATTR_URI` |
    `static org.codehaus.groovy.ast.ClassNode` | `AUTOWIRED_CLASS_NODE` |
    `static org.codehaus.groovy.ast.expr.ConstantExpression` | `CONSTANT_STATUS` |
    `private static org.codehaus.groovy.ast.ClassNode` | `MY_TYPE` |
    `static java.lang.String` | `PARAMS_VARIABLE` |
    `static java.lang.String` | `REDIRECT_METHOD` |
    `static java.lang.String` | `RENDER_METHOD` |
    `static java.lang.String` | `RESPOND_METHOD` |
    `private org.codehaus.groovy.control.CompilationUnit` | `unit` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResourceTransform ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.codehaus.groovy.ast.ConstructorNode` | `addConstructor(org.codehaus.groovy.ast.ClassNode controllerClassNode, org.codehaus.groovy.ast.ClassNode domainClassNode, boolean readOnly)`
    `` | `void` | `setCompilationUnit(org.codehaus.groovy.control.CompilationUnit unit)`
    `` | `void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARGUMENT_STATUS

    - #### public static final java.lang.String ATTR_NAMESPACE

    - #### public static final java.lang.String ATTR_READY_ONLY

    - #### public static final java.lang.String ATTR_RESPONSE_FORMATS

    - #### public static final java.lang.String ATTR_SUPER_CLASS

    - #### public static final java.lang.String ATTR_URI

    - #### public static final org.codehaus.groovy.ast.ClassNode AUTOWIRED_CLASS_NODE

    - #### public static final org.codehaus.groovy.ast.expr.ConstantExpression CONSTANT_STATUS

    - #### private static final org.codehaus.groovy.ast.ClassNode MY_TYPE

    - #### public static final java.lang.String PARAMS_VARIABLE

    - #### public static final java.lang.String REDIRECT_METHOD

    - #### public static final java.lang.String RENDER_METHOD

    - #### public static final java.lang.String RESPOND_METHOD

    - #### private org.codehaus.groovy.control.CompilationUnit unit

  - ### Constructor Detail

    - #### ResourceTransform()

  - ### Method Detail

    - #### org.codehaus.groovy.ast.ConstructorNode addConstructor(org.codehaus.groovy.ast.ClassNode controllerClassNode, org.codehaus.groovy.ast.ClassNode domainClassNode, boolean readOnly)

    - #### void setCompilationUnit(org.codehaus.groovy.control.CompilationUnit unit)

    - #### @java.lang.Override void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)